#!/bin/bash

set -eu


HOOKS_DIR=`dirname "$0"`

PROM="$1"
CODE="$2"
DESCR="$3"
SIA_CODE_STR="$4"
SIA_CODE_DESCR="$5"

mqtt-simple -h mqtt.bitlair.nl -p 'bitlair/alarm/events' -m "$CODE -- $SIA_CODE_STR: $SIA_CODE_DESCR"

case "$CODE" in
    C[LAFJKQS]*):
        run-parts "$HOOKS_DIR/armed.d" --verbose "--arg=$1" "--arg=$2" "--arg=$3" "--arg=$4" "--arg=$5"
        ;;

    O[AJKPQS]*):
        run-parts "$HOOKS_DIR/disarmed.d" --verbose "--arg=$1" "--arg=$2" "--arg=$3" "--arg=$4" "--arg=$5"
        ;;
esac
